File Investigator Application Changes:

The changes made for each build:

2.06.00 02/21/2005 File Find & Directory for MS Windows
  Added 106 new file formats
  Updated 70 existing file formats for higher accuracy
  Added Byte Value Distribution Previewer
  FI File Find:
    Improved UI Window placement
	Added the ability to delete folders as well as files
	Deleted files now go to the Recycle Bin
    Added File >> Copy To option
  FI Directory (for Windows)
    Added /RT parameter to create summary report

2.05.02 12/21/2004 File Find for MS Windows
  Simplified Registration Code entry to allow use of the OK button and to recognize a new entry faster

2.05.01 ??/??/2004 File Find for MS Windows
  Added File >> Fix Extension option to repair wrong file extensions
  Fixed a bug that would close the application without warning.
  Fixed a bug that corrupted the dates dispayed for each file.
  Fixed the installer to properly remove shortcuts and files from previous versions.

2.05.00 10/05/2004 File Find & Directory for MS Windows
  Updated File Find to FI Engine 2.05
  Added more columns
  Added new Configure dialog
  Added FI Details previewer to replace FI Properties program
  Fixed context menu inability to find the File Investigator path after upgrading.
  Fixed a bug with handling 254 letter file names.

1.50.10 12/28/1999 File Investigator (All Windows Versions)
  Added upgrade Destination prompt to SETUP.EXE.

1.50.00 10/1/1999 File Investigator (All Windows versions)

    DIRECTORY:

    Newly added Windows command line version for File Find customers.
    Requires Windows 95 OEM Service Release 2 (Win95b), or a later version of
      Windows, to run, because older OS versions do not support the
      GetDiskFreeSpaceEx() function.  This function is required to correctly
      handle hard drives greater than 2 GigaBytes in size.

    ENGINE:

    Improved directory handling for files provided through the Properties program.
    Fixed a bug that caused File Investigator to crash when processing
      variations of some file types.
    Added support for longer path and filenames.
    Fixed a bug that kept the File Find program from stopping when the user
      clicks the Stop button.
    Improved the file scanning efficiency/speed.
    Fixed a bug that caused a crash when a file had an excessive number of
      comments to be displayed.
    Fixed a bug that caused File Investigator to freeze and take most of the
      computers CPU time when reading a corrupted MS Windows .WAV file.

    Added formats:    ABC Flowchart File (.AF2, .AF3; Identified by extension)
                      Ace Archiver File (.ACE; Identified by extension)
                      Active Server Page (.ASP; Identified by extension)
                      Actor Program Lang. System Image (.AMG; Identified by extension)
                      Ada Source Code File (GNAT) (.ADB, .ADS; Identified by extension)
                      Ada Source Code File (non-GNAT) (.ADA; Identified by extension)
                      Adobe Binary Screen Font (.ABF; Identified by extension)
                      Adobe Font (.PFM)
                      Adobe FrameMaker Book (.BOOK; Identified by extension)
                      Adobe Illustrator Drawing (.AI; Identified by extension)
                      After Dark MultiMod. Screensaver (.ADM; Identified by extension)
                      After Dark Randomize Screensaver (.ADR; Identified by extension)
                      After Dark Screensaver (.AD; Identified by extension)
                      ANSI Text File (.ANS; Identified by extension)
                      Aristotle Audio File (.ARI; Identified by extension)
                      Arts & Letters Library (.ALL; Identified by extension)
                      ASCII Text File (.ASC; Identified by extension)
                      Assembly Source Code File (.ASM)
                      Astound Dynamite File (.ADP; Identified by extension)
                      Astound Dynamite Objects (.ASO; Identified by extension)
                      AT&T Group 4 Bitmap (.ATT; Identified by extension)
                      Authorware Shocked File (.AAM; Identified by extension)
                      Authorware Shocked Packet File (.AAS; Identified by extension)
                      Backup File (.BAK, .OLD; Identified by extension)
                      Battle Zone Data File (.HGT, .GEO, .MAT, .STS, .ZFS)
                      Bezerk Acrophobia Data File (.SRF)
                      Binary Data File (.BIN)
                      BITCOM Dial-Up Script File (.SCP; Identified by extension)
                      BITCOM Terminal Emulation File (.EMU; Identified by extension)
                      BM Compiler Auto. Response File (.ARF; Identified by extension)
                      Borland C++ Project File (.IDE)
                      Borland Delphi 4 Packed Library (.BPL; Identified by extension)
                      Borland Paradox Database Table (.DB; Identified by extension)
                      Borland Paradox Form File (.F#; Identified by extension)
                      Borland Paradox Index File (.X#, .Y#, .Z#; Identified by extension)
                      Borland Paradox Network Config. (.NET; Identified by extension)
                      Borland Paradox Overlay File (.OVD; Identified by extension)
                      Borland Paradox PAL Script File (.SC; Identified by extension)
                      Borland Paradox Primary Index (.PX; Identified by extension)
                      Borland Paradox Report Format (.R#; Identified by extension)
                      Borland Paradox Settings File (.SET; Identified by extension)
                      Borland Paradox Sort Information (.SOM; Identified by extension)
                      Borland Paradox Validity Check (.VAL; Identified by extension)
                      BrioQuery File (.BQY; Identified by extension)
                      C/C++ Source Code File (.C, .CPP)
                      CakeWalk Audio Bundle File (.BUN; Identified by extension)
                      Calendar Creator Plus Calendar (.CAL)
                      Casio Camera Image (.CAM)
                      CD Audio Track (.CDA; Identified by extension)
                      Cheyenne Backup Script (.ASX; Identified by extension)
                      COBOL Source Code File (.COB; Identified by extension)
                      CodeWiew Disk File (.@@@; Identified by extension)
                      Comma-delimited Text File (.CAS, .CSV; Identified by extension)
                      Command File (.CMD; Identified by extension)
                      Computer Graphics Metafile (.CGM)
                      Computer Graphics Metafile (Bin) (.CGM)
                      Computer Graphics Metafile(Text) (.CGM)
                      Configuration File (.CFG; Identified by extension)
                      Corel Chart File (.CCH; Identified by extension)
                      Corel Draw AutoBackup File (.ABK; Identified by extension)
                      Data File (.DAT; Identified by extension)
                      Database Form File (.FRM; Identified by extension)
                      DataCAD Autosave File (.ASV; Identified by extension)
                      dBase Index (.NDX; Identified by extension)
                      dBase Label File (.LBL; Identified by extension)
                      dBase Memory File (.MEM; Identified by extension)
                      dBase Text Database Information (.DBT; Identified by extension)
                      Definition File (.DEF; Identified by extension)
                      DOS Device Driver Install File (.DEV; Identified by extension)
                      DOS Diagnostics File (.DGS; Identified by extension)
                      DOS Pipe File (.$$$; Identified by extension)
                      Dr Halo Bitmap (.CUT; Identified by extension)
                      Error Log File (.ERR; Identified by extension)
                      Extended ISA Adapter File (.ADF)
                      EXtensible Style Language (.XSL) (.XML) (.HTML) (.HTM) (.HTT)
                      FaxView Document (.AWD; Identified by extension)
                      Font File (.FNT, .FON; Identified by extension)
                      FORTRAN Source Code File (.F, .F77, .F90, .FOR; Identified by extension)
                      FoxPro Program File (.PRG; Identified by extension)
                      Fremont SE Image (.X)
                      GroupWise Initialization File (.BIF; Identified by extension)
                      Half-Life Game Map (.BSP, .TMP)
                      Half-Life Game Model (.MDL)
                      Half-Life Saved Game (.SAV)
                      Harvard TPM Project (.PRJ; Identified by extension)
                      Helix Nuts and Bolts File (.B4; Identified by extension)
                      IBM BookManager Read Bookshelf (.BKS; Identified by extension)
                      IBM Pascal Implementation File (.IMP; Identified by extension)
                      IBM Pascal Interface File (.INT; Identified by extension)
                      Id Software Internal Data 3.0 (.HPK)
                      Id Software Internal Data 3.0 (.WAD)
                      Id Software Internal Data(Quake) (.PAK)
                      Index File (.IND; Identified by extension)
                      Information File (.INF; Identified by extension)
                      Initialization File (.INI; Identified by extension)
                      InstallShield Archive (.EX_)
                      Intalk Comm. Command Lang. File (.CCL; Identified by extension)
                      Intalk Settings (.IT; Identified by extension)
                      IntelliCharge Categorization (.CAT; Identified by extension)
                      Java Script File (.JS)
                      Java Source Code File (.JAVA)
                      List File (Text) (.LST; Identified by extension)
                      Lotus Approach 97 File (.APR; Identified by extension)
                      Macromedia Director File (.DIR; Identified by extension)
                      Microsoft Course Text File (.CTX; Identified by extension)
                      MPEG Music File (.MP3 & .MP2)
                      MS Access Description File (.DES; Identified by extension)
                      MS Access Menu File (.MNU; Identified by extension)
                      MS Access Modem File (.MDM; Identified by extension)
                      MS Assembler Cross Reference (.CRF, .REF; Identified by extension)
                      MS Briefcase Database
                      MS Chat Animated Character (.AVB)
                      MS Clean Boot File (.CB; Identified by extension)
                      MS Compatibility Database (.CAT)
                      MS Compiler Compiled Source Code (.COD; Identified by extension)
                      MS Developer Studio Project File (.DSP)
                      MS Developer Studio Workspace (.DSW)
                      MS DevStudio Resource Script
                      MS Excel Add-in File (.XLL; Identified by extension)
                      MS Excel Backup (.XLK; Identified by extension)
                      MS Excel Dialogue (.XLD; Identified by extension)
                      MS Excel VBA Module (.XLV; Identified by extension)
                      MS IE Cascading Style Sheet (.CSS)
                      MS IExplorer Connection Wizard (.ICW)
                      MS Language Character Set (.NLS)
                      MS Linker Database (.ILK)
                      MS Multiplan Spreadsheet (.COL; Identified by extension)
                      MS Office Assistant Actor (.ACT; Identified by extension)
                      MS Office Assistant Preview (.ACP; Identified by extension)
                      MS Outlook Express Email Folder (.MBX)
                      MS Outlook Express Email Index (.IDX)
                      MS Outlook Express Email Tree (.NCH)
                      MS Outlook Express News Message (.NWS; Identified by extension)
                      MS ScanDisk/CHKDSK Fragment File (.CHK; Identified by extension)
                      MS Schedule+ Print File (.FMT; Identified by extension)
                      MS Setup Wizard Dependency File (.DEP)
                      MS Spell Checker Dictionary (.DIC)
                      MS Spelling Auto Correct List (.ACL)
                      MS Tip of the Day File (.TIP)
                      MS Visual BASIC Include File (.BI)
                      MS Visual C++ Compiled Resources (.RES, .APS, .RCT)
                      MS Visual C++ Debug File (.SBR)
                      MS Visual C++ DLL Exports File (.EXP)
                      MS Visual C++ Interface Des Lang (.IDL)
                      MS Visual C++ Object Desc. Lang. (.ODL)
                      MS Visual C++ Precompiled Header (.PCH)
                      MS Visual C++ Program Database (.PDB, .BSC, .NCB)
                      MS Visual C++ Registry Source (.RGS)
                      MS Visual C++ Resource File (.RC)
                      MS Windows Briefcase Document (.BFC; Identified by extension)
                      MS Windows Cue Cards (.CUE; Identified by extension)
                      MS Windows Desktop Theme (.THEME)
                      MS Windows Help Answer Wizard (.AW)
                      MS Windows Help Full Text Search (.FTS)
                      MS Windows Help Global Index (.GID)
                      MS Windows Help Text Search (.TSC)
                      MS Windows SQL Application (.APP; Identified by extension)
                      MS Windows Swap File (.SWP; Identified by extension)
                      MS Windows True Type Font (.TTF)
                      MS Windows Welcome Bitmap (.WBM)
                      MS Works Database (.WDB; Identified by extension)
                      Norton Demonstration Data File (.DBD; Identified by extension)
                      PageMaker Publication (.PUB; Identified by extension)
                      Palantir Filer Data Entry Form (.DFM; Identified by extension)
                      PaperPort Image (.???)
                      Pascal Source Code File (.PAS)
                      Phillips CD-I File (.CDI; Identified by extension)
                      PhotoDeluxe Clipart Galery (.GAL)
                      PhotoImpact Clipart Images (.SMP, .UOL)
                      PhotoImpact Color Map (.MAP)
                      PhotoImpact Pencil Style (.GAP)
                      PhotoShop Image (.PSD)
                      Quicken Backup Disk (.BUD; Identified by extension)
                      Real Pool Image (.RGB)
                      Real Pool Image (.RMAP8, .TMAP8; Identified by extension)
                      Shockwave Flash Object (.SWF)
                      Show Partner Block File (.BLK; Identified by extension)
                      Show Partner Color Palette File (.CLR; Identified by extension)
                      Show Partner Screen Capture File (.GX1; Identified by extension)
                      Sierra Game Data File (.PRF, .GRD)
                      Source Code Header/Include File (.H, .INC, .H16, .HXX)
                      Source Code Make File (.MAK, .MK)
                      SpellStar Dictionary File (.DCT; Identified by extension)
                      SQL Windows Database File (.DBS; Identified by extension)
                      SQL Windows Journal File (.JOR; Identified by extension)
                      String Data Resource File (.MSG)
                      SuperKey Keyboard Macro (.MAC; Identified by extension)
                      SuperKey Layout File (.LAY; Identified by extension)
                      SuperProject Project File (.PJ; Identified by extension)
                      Symantec Q&A Database File (.DTF; Identified by extension)
                      Symantec Q&A Startup File (.DIS; Identified by extension)
                      Symbolic Debugging Definitions (.SYM; Identified by extension)
                      Symbolic Link (SYLK) Spreadsheet (.SLK; Identified by extension)
                      Temporary Data File (.TMP)
                      Unreal Game Data File (.UNR, .UMX, .UAX, .UTX, .U)
                      USA 98: Streets & Dest. Map File (.GMF)
                      USA 98: Streets & Dest. Tour (.U98)
                      Velvet Studio Instruments (.AIS; Identified by extension)
                      Virtual Business Card File (.VCF)
                      Virtual Reality World (ASCII) (.WRL)
                      Virtual Reality World (Binary) (.WRL, .IVR, .BEH)
                      Virtual Reality World Script (.VRW)
                      VisiCalc Spreadsheet (.VC; Identified by extension)
                      Visual Basic Class Module (.CLS; Identified by extension)
                      Word Finder Synonym File (.SYN; Identified by extension)
                      WordPerfect 4 Document (.WP4; Identified by extension)
                      WordPerfect 5 Document (.WP5; Identified by extension)
                      WordPerfect 6 Document (.WP6; Identified by extension)
                      WordPerfect Template (.WPT; Identified by extension)
                      WordStar 2000 Document (.WSD; Identified by extension)
                      WordStar for Windows 1 Document (.WS1; Identified by extension)
                      WordStar for Windows 2 Document (.WS2; Identified by extension)
                      WordStar for Windows 3 Document (.WS3; Identified by extension)
                      WordStar for Windows 4 Document (.WS4; Identified by extension)
                      WordStar for Windows 5 Document (.WS5; Identified by extension)
                      WordStar for Windows 6 Document (.WS6; Identified by extension)
                      WordStar for Windows 7 Document (.WS7; Identified by extension)
                      World Tour Golf Course Data File (.CRS; Identified by extension)
                      XYWrite for Windows 4.0 Document (.XYW; Identified by extension)
                      XYWrite III Document (.XY3; Identified by extension)
                      XYWrite III Plus Document (.XYP; Identified by extension)
                      XYWrite IV Document (.XY4; Identified by extension)
                      XyWrite Keyboard Configuration (.KBD; Identified by extension)

    Improved formats: Amiga SoundTracker Music (accuracy)
                      Compiler Library (accuracy)
                      Compiler Object (accuracy)
                      DOS Batch File (accuracy)
                      Hyper Text Markup Language (accuracy)
                      InstallShield 5 Cabinet Archive (accuracy)
                      JPEG File Interchange Format (accuracy)
                      MPEG 1 Animation (accuracy)
                      MS Access Database/Template (accuracy)
                      MS Image Color Matching Profile (accuracy)
                      MS Windows 95 Password File (accuracy)
                      MS Windows Address Book (accuracy)
                      MS Windows and OS/2 Bitmaps (fixed large file details)
                      MS Windows Fax Cover (accuracy)
                      MS Windows Icon (accuracy)
                      MS Windows Program Information (accuracy)
                      OS/2 True Type Font (accuracy)
                      Pictor/PC Paint Image (accuracy)
                      X BitMap (accuracy)

    FIND:

    Improved the text string searching efficiency/speed and added support for
      double byte characters.
    Added 'Created', 'Accessed', 'ASCII Header', 'Hexadecimal Header' and
      'Checksum' columns to the search results list.
    Add the ability to sort columns by clicking on the titles.
	Fixed a bug that caused a search to never end, after the user stopped the
      previous search.

    PROPERTIES:

    Updated to handle the new File Investigator Engine design.

    TEXT PREVIEWER:

    Improved text scanning efficiency/speed, which improved use of the scroll
      bar.

    HEXADECIMAL PREVIEWER:

    Added a vertical scroll bar.


  1.41 12/20/98 File Investigator (All Windows versions)

    FIND:

    Added a Preview window that displays the currently selected file.
    Added File/Save As... menu option to save the search results to a
      Comma delimited, Formatted Text, or Tab delimited file.
    Added Setup/Auto Play Previewers menu option to specify if the
      Multimedia Previewer automatically starts playing a file when
      the file is selected in the list.
    Added Setup/Default Previewer: Hex menu option to specify the
      Hexadecimal Previewer to be used when no previewer is available for
      the currently selected file.
    Added Setup/Default Previewer: Text menu option to specify the
      Text Previewer to be used when no previewer is available for
      the currently selected file.
	Added MIME Label(s) column to the results list.
    Added MSVCRT.DLL to the installer to support the context menu option.
    
    PROPERTIES:

    Brought up to date with the newest FI Engine version.
    Updated to use the rewritten previewers that are compatible with File Find.
    Added MSVCRT.DLL to the installer to support the context menu option.

    ENGINE:

    Improved formats: MS Access Database/Template (.MDB, .MDA, .MDT, .MDW)
                      MS Windows Cursor (.CUR)
                      MS Windows Shortcut/Link (.LNK)
                      MS Windows Type Library (.TLB, .TWD)
                      QuickTime Movie (.MOV, .QTM, .QT)

    Added formats:    Adobe PostScript Font (.PFB)
                      InstallShield 3.x Archive (.Z, .LIB)
                      InstallShield 5 Cabinet Archive (.CAB)
                      Java Class (.CLASS)
                      MS Debug Information File (.DBG)
                      MS Exchange Address Book (.PAB)
                      MS Exchange Address Book File (.PST)
                      MS Image Color Matching Profile (.ICM)
                      MS Program Information (.PNF)
                      MS Project File (.MPP)
                      MS Windows Address Book (.WAB)
                      MS Windows Help Module (.CHM)
                      MS Windows Office Toolbar Button (.TBB)
                      Netscape News/Mail Messages (.SNM)
                      XML Control Definition (.CDF)

    PREVIEWERS:

    Changed the Text Previewer to use a separate thread and be resizable in the
      File Find preview window.
    Changed the Multimedia Previewer to use a separate thread and be resizable
      in the File Find preview window.
    Added a Hexadecimal Previewer.


  1.40  7/ 4/98 File Investigator File Find & Properties for Windows (PURCHASE)

    FIND:

    Added a MS File Find like user interface that provides for filtering by
      file details, contents, attributes, etc..

    PROPERTIES:

    Fixed a bug that caused File Investigator to crash when displaying a date
      beyond 2070.

    ENGINE:

    Fixed some bugs that caused File Investigator to crash while identifying
      some types of files.  (Ex: some Windows programs)
    Improved how the Details descriptions are formatted. (cosmetic)
    Improved the Other Information accuracy.
    Added support for another variation of the MS Windows Bitmap file format.
    Added support for IR50 video compression in .AVI files.
    Removed the Details information for .WMF files, because it was wrong and
      my references don't correctly show how the format is stored.
    

  1.30  3/26/98 File Investigator Properties for Windows 95/NT 4.0 (PURCHASE)

    PROPERTIES:

    Removed the upgrade reminder screen.
    Added an error level, to represent the file type, returned when FIPROP.EXE
      finishes. (For advanced users)
    Added Edit, Open, Play, Print, etc. buttons to the Details tab, that
      change with the new file extension that you select for the file.
    Added Web Update button to the About box, to easily check the web
      site for new file previewers and other updates.
    Added the /Q parameter to run without a UI, and return the file type
      error level. (For advanced users)
    Added a column to the Description list on the Setup tab, to provide
      the type index values used for the error level returned. (For advanced
      users)
    Added long file extensions (over 3 characters.) Ex: .HTML, .MPEG, etc.
    Added an automated/simplified install program, and an uninstall option
      in the Control Panel (to match the icon in the program group.)
    Added a workaround for the Microsoft bug with the MS Office Shortcut Bar.
    Resized the user interface to fit on an 800x600 large font screen.
    Improved the way FITEXT.DLL handles extended characters and carriage
      returns.
    Added the ability to install multiple preview programs.
    Added Multimedia Previewer for .AVI, .MID, .RMI and .WAV files.

    ENGINE:

    Improved formats: DOS Batch File
                      MS Word for Windows Document
                      MS Excel Worksheet
                      MS PowerPoint Slides
                      MS Network Shortcut
                      Macro Media Director File
                      Adobe Portable Document Format
                      Macintosh PICT Image
    Added formats:    MS Office Binder
                      MS Access Database Wiz. Template
                      MS ClipArt Gallery
                      MS Pictures
                      MS Access Database
                      OrCAD Capture Design/Library
                      OrCAD Capture Project
                      OrCAD Capture CIS Database Conf.
    Added more details and webs sites to the Background tab for many formats.


  1.22  7/21/98 File Investigator Properties for Windows 95/NT 4.0 (SHAREWARE)

    Added a workaround for the Microsoft bug with the MS Office Shortcut Bar.


  1.21  1/15/98 File Investigator Properties for Windows 95/NT 4.0 (SHAREWARE)

    Fixed a bug that prevented a MS Windows NT 4.0 machine from removing the
      'Investigate' option from the file context menu, when the Setup tab
      check box was unchecked.


  1.20 12/30/97 File Investigator Properties for Windows 95/NT 4.0 (SHAREWARE)

    Initial Windows version.
    Included a MS Properties like user interface.


  1.10  8/ 2/97 File Investigator Directory & Properties for DOS (PURCHASE)

    DIRECTORY:

    Included a DOS DIR command like interface, that could included all or the
      file details for each file listed.
    Included most of the DOS DIR parameters, including recursive directory
      listing.  Plus a verbose level to adjust the display from just the file
      names to all of the information that the File Investigator Engine can
      collect on each file.


    PROPERTIES:

    Removed the registration reminder screen.
    Added ability to update the patterns database over the web. (future use)
    Added MIME types to many formats.
    Added Automatic Edit, View and Quit parameters to FIPROP.EXE.
    Added URLs for edit and view programs for DOS, Windows and Mac.
    Improved details on Windows 16 and 32 bit programs.
    Added unlock prompt for Read Only files, when changing size or date/time.
    Added wildcards to FIHEX, so it can view many files at once.
    Added Adobe Portable Document Format (.PDF)
    Added MS Find Saved Search Format (.FND)
    Added MS Network Shortcut Format (.MCC)
    Added PowerPoint Slides Format (.PPT, .PPA, .POT)
    Upgraded MS Excel Worksheet Format to Win95 version.
    Upgraded MS Word Document Format to Win95 version.
    Fixed a few minor cosmetic bugs.


  1.00  6/16/97 File Investigator Properties for DOS (FREE)

    Initial DOS version.
    Included a MS Properties like user interface.
    Added Registry entries to Windows, in order to be used on
      the file context menu.
    Read the Windows Registry for file / program associations.